#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    conjure_object::private::DeriveWith
)]
#[serde(crate = "conjure_object::serde")]
#[derive_with(PartialEq, Eq, PartialOrd, Ord, Hash)]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct NumericResampleSeriesNode {
    #[builder(custom(type = super::NumericSeriesNode, convert = Box::new))]
    #[serde(rename = "input")]
    input: Box<super::NumericSeriesNode>,
    #[builder(custom(type = super::ResampleConfiguration, convert = Box::new))]
    #[serde(rename = "resampleConfiguration")]
    resample_configuration: Box<super::ResampleConfiguration>,
}
impl NumericResampleSeriesNode {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        input: super::NumericSeriesNode,
        resample_configuration: super::ResampleConfiguration,
    ) -> Self {
        Self::builder()
            .input(input)
            .resample_configuration(resample_configuration)
            .build()
    }
    #[inline]
    pub fn input(&self) -> &super::NumericSeriesNode {
        &*self.input
    }
    #[inline]
    pub fn resample_configuration(&self) -> &super::ResampleConfiguration {
        &*self.resample_configuration
    }
}
